CFXMLNode Reference (deprecated)

## Detailed Description

## Data Structures

struct | CFXMLExternalID
struct | CFXMLAttributeDeclarationInfo
struct | CFXMLAttributeListDeclarationInfo
struct | CFXMLDocumentInfo
struct | CFXMLDocumentTypeInfo
struct | CFXMLElementInfo
struct | CFXMLElementTypeDeclarationInfo
struct | CFXMLEntityInfo
struct | CFXMLEntityReferenceInfo
struct | CFXMLNotationInfo
struct | CFXMLProcessingInstructionInfo

## Typedefs

typedef const struct __CFXMLNode * | CFXMLNodeRef
typedef CFTreeRef | CFXMLTreeRef

## Enumerations

enum | CFXMLEntityTypeCode { kCFXMLEntityTypeParameter = 0 , kCFXMLEntityTypeParsedInternal = 1 , kCFXMLEntityTypeParsedExternal = 2 , kCFXMLEntityTypeUnparsed = 3 , kCFXMLEntityTypeCharacter = 4 }
enum | { kCFXMLNodeCurrentVersion = 1 }

enum

CFXMLNodeTypeCode {
kCFXMLNodeTypeDocument = 1 , kCFXMLNodeTypeElement = 2 , kCFXMLNodeTypeAttribute = 3 , kCFXMLNodeTypeProcessingInstruction = 4 ,
kCFXMLNodeTypeComment = 5 , kCFXMLNodeTypeText = 6 , kCFXMLNodeTypeCDATASection = 7 , kCFXMLNodeTypeDocumentFragment = 8 ,
kCFXMLNodeTypeEntity = 9 , kCFXMLNodeTypeEntityReference = 10 , kCFXMLNodeTypeDocumentType = 11 , kCFXMLNodeTypeWhitespace = 12 ,
kCFXMLNodeTypeNotation = 13 , kCFXMLNodeTypeElementTypeDeclaration = 14 , kCFXMLNodeTypeAttributeListDeclaration = 15
}

## Functions

CFTypeID | CFXMLNodeGetTypeID (void)
CFXMLNodeRef | CFXMLNodeCreate (CFAllocatorRef alloc, CFXMLNodeTypeCode xmlType, CFStringRef dataString, const void *additionalInfoPtr, CFIndex version)
CFXMLNodeRef | CFXMLNodeCreateCopy (CFAllocatorRef alloc, CFXMLNodeRef origNode)
const void * | CFXMLNodeGetInfoPtr (CFXMLNodeRef node)
CFStringRef | CFXMLNodeGetString (CFXMLNodeRef node)
CFXMLNodeTypeCode | CFXMLNodeGetTypeCode (CFXMLNodeRef node)
CFIndex | CFXMLNodeGetVersion (CFXMLNodeRef node)
CFXMLTreeRef | CFXMLTreeCreateWithNode (CFAllocatorRef allocator, CFXMLNodeRef node)
CFXMLNodeRef | CFXMLTreeGetNode (CFXMLTreeRef xmlTree)

## Data Structure Documentation

## CFXMLExternalID

struct CFXMLExternalID

Data Fields
CFURLRef | systemID |
CFStringRef | publicID |

## CFXMLAttributeDeclarationInfo

struct CFXMLAttributeDeclarationInfo

Data Fields
CFStringRef | attributeName |
CFStringRef | typeString |
CFStringRef | defaultString |

## CFXMLAttributeListDeclarationInfo

struct CFXMLAttributeListDeclarationInfo

Data Fields
CFIndex | numberOfAttributes |
CFXMLAttributeDeclarationInfo * | attributes |

## CFXMLDocumentInfo

struct CFXMLDocumentInfo

Data Fields
CFURLRef | sourceURL |
CFStringEncoding | encoding |

## CFXMLDocumentTypeInfo

struct CFXMLDocumentTypeInfo

Data Fields
CFXMLExternalID | externalID |

## CFXMLElementInfo

struct CFXMLElementInfo

Data Fields
CFDictionaryRef | attributes |
CFArrayRef | attributeOrder |
Boolean | isEmpty |

## CFXMLElementTypeDeclarationInfo

struct CFXMLElementTypeDeclarationInfo

Data Fields
CFStringRef | contentDescription |

## CFXMLEntityInfo

struct CFXMLEntityInfo

Data Fields
CFXMLEntityTypeCode | entityType |
CFStringRef | replacementText |
CFXMLExternalID | entityID |
CFStringRef | notationName |

## CFXMLEntityReferenceInfo

struct CFXMLEntityReferenceInfo

Data Fields
CFXMLEntityTypeCode | entityType |

## CFXMLNotationInfo

struct CFXMLNotationInfo

Data Fields
CFXMLExternalID | externalID |

## CFXMLProcessingInstructionInfo

struct CFXMLProcessingInstructionInfo

Data Fields
CFStringRef | dataString |